Update Proposed Segmentation Object

Update Proposed Segmentation Object
Update proposed segmentation object

Updates a proposed segmentation object. This endpoint is primarily used to set the publish_action field to trigger publication or cancel an ongoing publish operation.

Notes

  • When publishing a segmentation object, all associated groups will be published.
  • Can call FORCE_PUBLISH when the capacity limit for groups will be exceeded
  • Returns 202 on success
Request
URI
PUT
https://{api_host}/ssp/segmentation/{session-id}/results/proposed-segmentation-objects/{proposed-segmentation-object-id}
COPY
Path Parameters
string
session-id
Required  

Unique identifier of the segmentation session.

string
proposed-segmentation-object-id
Required  

Unique identifier of the proposed segmentation object.


Request Body

Updated segmentation object

ProposedSegmentationObject of type(s) application/json
Required  
This request body class requires all of the following: ManagedResource , InlineProposedSegmentationObject1
{
    "segmentation_object_type": "APPLICATION",
    "application_type": "CRITICAL",
    "application_workload_type": "REGULAR",
    "_revision": 0,
    "_create_user": "admin",
    "_create_time": 1782337249862,
    "_last_modified_user": "admin",
    "_last_modified_time": 1782337249862,
    "publish_action": "PUBLISH",
    "id": "-6286331157426286654",
    "display_name": "us-east_az1_test_app1",
    "site_ids": [],
    "hierarchy_tags": [
        {
            "scope": "region",
            "tag": "us-east"
        },
        {
            "scope": "zone",
            "tag": "az1"
        },
        {
            "scope": "environment",
            "tag": "test"
        },
        {
            "scope": "application",
            "tag": "app-1"
        }
    ],
    "proposed_groups": [
        {
            "_create_user": "admin",
            "_create_time": 1782337249862,
            "_last_modified_user": "admin",
            "_last_modified_time": 1782337249862,
            "_revision": 0,
            "id": "6742396901173852182",
            "display_name": "us-east_az1_test_app-1",
            "site_ids": [
                "123a456b-123c-456d-89ab-cdef12345678"
            ],
            "group_path": "/infra/domains/default/groups/05b98eff-9d6d-3c2c-b67d-d969974e7346",
            "object_count_per_type": [
                {
                    "type": "VIRTUAL_MACHINE",
                    "count": 9
                }
            ],
            "group_action": "CREATE",
            "publish_status_info": {
                "publish_status": "READY_TO_PUBLISH"
            },
            "current_effective_vm_count": 0,
            "projected_effective_vm_count": 9
        }
    ],
    "publish_status": "READY_TO_PUBLISH",
    "parent_id": "-5834291957839695920"
}
Authentication
This operation uses the following authentication methods.
Responses
202

Update accepted and processing asynchronously

Returns AsyncApiResponse of type(s) application/json
{
    "id": "-6286331157426286654",
    "status_url": "/segmentation/aaaa1111-bbbb-2222-cccc-3333dddd4444/results/proposed-segmentation-objects/-6286331157426286654/status"
}
string
id
Optional

UUID identifier of the response.

string
status_url
Optional

The URL to check the status of the operation.


400

Bad Request

Returns BadRequest of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


401

Unauthorized

Returns Unauthorized of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


403

Forbidden

Returns Forbidden of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


412

Precondition Failed

Returns PreconditionFailed of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


428

Precondition Required

Returns PreconditionRequired of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


429

Too Many Requests

Returns TooManyRequests of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


default

Unexpected error

Returns Error of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


Code Samples
COPY
                    curl -X PUT -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"publish_action":"string"}' https://{api_host}/ssp/segmentation/{session-id}/results/proposed-segmentation-objects/{proposed-segmentation-object-id}